<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:weightSum="100"
    android:id="@+id/parent"
    android:background="#fff">


    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="250dp"
        android:layout_marginBottom="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:background="#000"
        android:scaleType="center"
        android:id="@+id/media_container">

        <ImageView
            android:id="@+id/thumbnail"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="#fff"
            android:scaleType="centerInside"
            android:src="@drawable/white_background" />

        <ImageView
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:scaleType="centerCrop"
            android:src="@drawable/ic_volume_up_grey_24dp"
            android:layout_gravity="end|bottom"
            android:id="@+id/volume_control"
            android:alpha="0"
            android:animateLayoutChanges="true"
            android:layout_marginEnd="15dp"
            android:layout_marginBottom="15dp"/>

        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/progressBar"
            style="?android:attr/progressBarStyle"
            android:visibility="gone"
            android:layout_gravity="center" />


    </FrameLayout>
    <android.support.constraint.ConstraintLayout
        android:id="@+id/constraint"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/media_container" >

        <TextView
            android:id="@+id/tv_VideoTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginTop="10dp"
            android:text="This is the title"
            android:textColor="#000"
            android:textSize="18sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="@+id/constraint"
            app:layout_constraintTop_toTopOf="@+id/constraint" />

        <TextView
            android:id="@+id/tv_Fullname"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:text="Educator : Alexie H Reyes"
            android:textColor="#000"
            android:textSize="12sp"
            app:layout_constraintStart_toStartOf="@+id/constraint"
            app:layout_constraintTop_toBottomOf="@+id/tv_VideoTitle" />
        <TextView
            android:id="@+id/tv_VideoPrice"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:text="Educator : Alexie H Reyes"
            android:textColor="#000"
            android:textSize="12sp"
            app:layout_constraintStart_toStartOf="@+id/constraint"
            app:layout_constraintTop_toBottomOf="@+id/tv_Fullname" />

        <ImageView
            android:id="@+id/tv_VideoPreview"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginEnd="12dp"
            android:layout_marginTop="10dp"
            android:background="#fff"
            android:scaleType="centerInside"
            android:src="@drawable/ic_more_vert_black_24dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </android.support.constraint.ConstraintLayout>



</android.support.constraint.ConstraintLayout>











    <!--<?xml version="1.0" encoding="utf-8"?>-->
<!--<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"-->
<!--    xmlns:app="http://schemas.android.com/apk/res-auto"-->
<!--    xmlns:tools="http://schemas.android.com/tools"-->
<!--    android:layout_width="match_parent"-->
<!--    android:layout_height="wrap_content">-->

<!--    <android.support.v7.widget.CardView-->
<!--        android:id="@+id/cardView3"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:layout_marginStart="8dp"-->
<!--        android:layout_marginTop="4dp"-->
<!--        android:layout_marginEnd="8dp"-->
<!--        android:layout_marginBottom="4dp"-->
<!--        app:layout_constraintBottom_toBottomOf="parent"-->
<!--        app:layout_constraintEnd_toEndOf="parent"-->
<!--        app:layout_constraintStart_toStartOf="parent"-->
<!--        app:layout_constraintTop_toTopOf="parent">-->

<!--        <android.support.constraint.ConstraintLayout-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="170dp">-->


<!--            <FrameLayout-->
<!--                android:id="@+id/media_container"-->
<!--                android:layout_width="200dp"-->
<!--                android:layout_height="150dp"-->
<!--                android:layout_margin="8dp"-->
<!--                android:background="#000"-->
<!--                android:scaleType="center"-->
<!--                app:layout_constraintStart_toStartOf="parent"-->
<!--                app:layout_constraintTop_toTopOf="parent">-->

<!--                    <ImageView-->
<!--                        android:id="@+id/thumbnail"-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:layout_height="wrap_content"-->
<!--                        android:background="#fff"-->
<!--                        android:scaleType="centerInside"-->
<!--                        android:src="@drawable/white_background" />-->

<!--                    <ImageView-->
<!--                        android:id="@+id/volume_control"-->
<!--                        android:layout_width="25dp"-->
<!--                        android:layout_height="25dp"-->
<!--                        android:layout_gravity="end|bottom"-->
<!--                        android:layout_marginEnd="15dp"-->
<!--                        android:layout_marginBottom="15dp"-->
<!--                        android:alpha="0"-->
<!--                        android:animateLayoutChanges="true"-->
<!--                        android:scaleType="centerCrop"-->
<!--                        android:src="@drawable/ic_volume_up_grey_24dp" />-->

<!--                    <ProgressBar-->
<!--                        android:id="@+id/progressBar"-->
<!--                        style="?android:attr/progressBarStyle"-->
<!--                        android:layout_width="wrap_content"-->
<!--                        android:layout_height="wrap_content"-->
<!--                        android:layout_gravity="center"-->
<!--                        android:visibility="gone" />-->


<!--            </FrameLayout>-->

<!--            <TextView-->
<!--                android:id="@+id/tv_VideoTitle"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:text="Birthday"-->
<!--                android:textSize="15sp"-->
<!--                android:textStyle="bold"-->
<!--                android:layout_marginTop="16dp"-->
<!--                android:textColor="@android:color/primary_text_light_nodisable"-->
<!--                app:layout_constraintEnd_toEndOf="parent"-->
<!--                app:layout_constraintStart_toEndOf="@+id/media_container"-->
<!--                app:layout_constraintTop_toTopOf="parent"-->
<!--                app:layout_constraintVertical_chainStyle="packed" />-->

<!--            <TextView-->
<!--                android:id="@+id/tv_Fullname"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_marginStart="12dp"-->
<!--                android:layout_marginTop="12dp"-->
<!--                android:text="Alexie H Reyes"-->
<!--                app:layout_constraintStart_toEndOf="@+id/media_container"-->
<!--                app:layout_constraintTop_toBottomOf="@+id/tv_VideoTitle" />-->
<!--            <TextView-->
<!--                android:id="@+id/tv_Educator"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_marginStart="12dp"-->
<!--                android:layout_marginTop="4dp"-->
<!--                android:textStyle="italic"-->
<!--                android:textSize="12sp"-->
<!--                android:text="Educator"-->
<!--                app:layout_constraintStart_toEndOf="@+id/media_container"-->
<!--                app:layout_constraintTop_toBottomOf="@+id/tv_Fullname" />-->

<!--            <TextView-->
<!--                android:id="@+id/tv_VideoPrice"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_marginStart="12dp"-->
<!--                android:layout_marginTop="12dp"-->
<!--                android:text="Video Price : $100"-->
<!--                app:layout_constraintStart_toEndOf="@+id/media_container"-->
<!--                app:layout_constraintTop_toBottomOf="@+id/tv_Educator" />-->

<!--            <TextView-->
<!--                android:id="@+id/tv_VideoPreview"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="30dp"-->
<!--                android:text="  View Preview "-->
<!--                android:textAlignment="center"-->
<!--                android:gravity="center"-->
<!--                android:textColor="@color/colorCloud"-->
<!--                android:background="@color/colorPeterriver"-->
<!--                android:textSize="15sp"-->
<!--                android:textStyle="bold"-->
<!--                app:layout_constraintBottom_toBottomOf="parent"-->
<!--                app:layout_constraintEnd_toEndOf="parent"-->
<!--                app:layout_constraintStart_toEndOf="@+id/media_container"-->
<!--                app:layout_constraintTop_toBottomOf="@+id/tv_VideoPrice"-->
<!--                app:layout_constraintVertical_chainStyle="packed" />-->

<!--        </android.support.constraint.ConstraintLayout>-->

<!--    </android.support.v7.widget.CardView>-->
<!--</android.support.constraint.ConstraintLayout>-->